Release 5.0.3
Closed, ResolvedPublic

Description

Release 5.0.3

Release version: 5.0.3
Release tag: releases/5.0.3.850.1
Release SHA1: 29bc78863b52a612fef94db25dd649fa03881b32
App Store Submission Date: 4/29/2016
App Store Approval Date: 5/2/2016
App Store Release Date: 5/3/2016
Regression Testing URL:


  • Update contributors list (see T133960)
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks and Pywik are disabled in build submitted to iTunesConnect via internal testing
  • Point current status at this card
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG on TestFlight
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Second round of Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l when release is on store
JMinor created this task.Apr 28 2016, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2016, 11:57 PM
JMinor triaged this task as Normal priority.Apr 28 2016, 11:57 PM
JMinor updated the task description. (Show Details)Apr 29 2016, 6:34 PM

Draft what's new:

Want to change the text size of articles? Now you can!

In addition to control over article text size, we've fixed bugs with pages not updating (especially Main Page), and reduced crashes. But wait, there's more!

This update includes other minor improvements requested by you:

  • Easily add, reorder and delete your languages (Go to Settings>My Languages)
  • Split view multi-tasking support on large screens
  • Easier swipe from the edge to show an article's Table of Contents
  • Added support for Myanmar (my) and Khmer (km) Wikipedias!
Fjalapeno updated the task description. (Show Details)Apr 29 2016, 9:59 PM
JMinor updated the task description. (Show Details)Apr 29 2016, 10:49 PM
Fjalapeno updated the task description. (Show Details)Apr 29 2016, 11:02 PM
JMinor updated the task description. (Show Details)Apr 29 2016, 11:12 PM
JMinor updated the task description. (Show Details)May 3 2016, 4:42 PM
JMinor added a comment.May 3 2016, 4:45 PM

Released to app store.

JMinor updated the task description. (Show Details)
JMinor closed this task as Resolved.May 9 2016, 6:44 PM